<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="text" encoding="iso-8859-1"/>  

  <!-- ignore all elements with an id and valid="no" -->

  <xsl:template match="/">
    <xsl:apply-templates select="pie"/>
  </xsl:template>
      
  <xsl:template match="pie">
      <xsl:text>%entry = (%entry, (</xsl:text>
        <xsl:apply-templates select="dir|file"/>
      <xsl:text>));</xsl:text>
      <xsl:text>
</xsl:text>
  </xsl:template>
      
  <xsl:template match="dir|file">
    <!--  -->
    <xsl:variable name="dir_name">
      <xsl:for-each select="ancestor::dir">
        <!--
        <xsl:if test="not(parent::pie)">
        </xsl:if>
        -->
        <xsl:value-of select="translate(@name,'\','/')"/>
        <xsl:text>/</xsl:text>
      </xsl:for-each>
    </xsl:variable>

    <xsl:text>"</xsl:text>
    <xsl:value-of select="translate(concat('pie',translate(concat($dir_name,@name),' .:','___')),'/\','..')"/>
    <xsl:text>" => </xsl:text>
    <xsl:text>{type => "</xsl:text>
    <xsl:value-of select="name()"/>
    <xsl:text>", path_dir => "</xsl:text>
    <xsl:for-each select="ancestor::dir">
      <xsl:value-of select="translate(@name,'\','/')"/>
      <xsl:text>/</xsl:text>
    </xsl:for-each>
    <xsl:text>", name_file => "</xsl:text>
    <xsl:value-of select="translate(@name,'\','/')"/>
    <xsl:text>", text => "</xsl:text>
    <xsl:value-of select="translate(@name,'\','/')"/>
    <xsl:text>"}</xsl:text>
    <xsl:text>,</xsl:text>
    <xsl:text>
</xsl:text>
    <xsl:apply-templates select="dir|file"/>
</xsl:template>

</xsl:stylesheet>

