<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <!-- (p) 2007 Tenbusch Alexander FRD TK-C -->

  <xsl:output method="text" encoding="iso-8859-1"/>  

<xsl:variable name="nl">
<xsl:text>
</xsl:text>
</xsl:variable>

<xsl:variable name="nodes_call" select="/pie//file[@ext = 'txt' or @ext = 'pie']"/>

<xsl:variable name="dir_prefix" select="translate(/pie/dir/@name,'/','\')"/>

<xsl:template match="/">
  <xsl:text>@echo off</xsl:text>
  <xsl:value-of select="$nl"/>
  <xsl:text>@echo Suche nach &quot;%*&quot;</xsl:text>
  <xsl:value-of select="$nl"/>
  <xsl:value-of select="substring-before($dir_prefix,'\')"/>
  <xsl:value-of select="$nl"/>
  <xsl:text>cd \</xsl:text>
  <xsl:value-of select="substring-after($dir_prefix,'\')"/>
  <xsl:value-of select="$nl"/>
  <xsl:text>grep -n -H -s %* </xsl:text>
  <xsl:for-each select="$nodes_call">
    <xsl:call-template name="file" select="."/>
  </xsl:for-each>
  <xsl:value-of select="$nl"/>
  <xsl:text>REM grep -inHs %1 NUL</xsl:text>
  <xsl:value-of select="$nl"/>
  <xsl:text>echo OK</xsl:text>
  <xsl:value-of select="$nl"/>
</xsl:template>
      
<xsl:template name="file">
  <xsl:variable name="dir_name">
    <xsl:for-each select="ancestor::dir[parent::dir]">
      <xsl:value-of select="@name"/>
      <xsl:text>\</xsl:text>
    </xsl:for-each>
  </xsl:variable>
  <!--  -->
  <xsl:choose>
    <xsl:when test="contains($dir_name,'tmp')"/>
    <xsl:when test="contains($dir_name,'report')"/>
    <xsl:when test="contains($dir_name,'\_')"/>
    <xsl:when test="contains($dir_name,'\.')"/>
    <xsl:otherwise>
      <xsl:text> &quot;</xsl:text>
      <xsl:value-of select="$dir_name"/>
      <xsl:value-of select="@name"/>
      <xsl:text>&quot;</xsl:text>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>
      
</xsl:stylesheet>

