<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <!-- writes all Freemind nodes into a Comma separated format (CSV) -->

<xsl:output method='text' version='1.0' encoding='ISO-8859-1'/>

<xsl:variable name="str_separator" select="','"/>

<xsl:template match="/map">
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="node">
  <xsl:value-of select="count(ancestor-or-self::node)"/>
  <xsl:value-of select="$str_separator"/>
  <!-- TODO: handle multiple icons --> 
  <xsl:value-of select="concat('&quot;',child::icon/@BUILTIN,'&quot;',$str_separator)"/>
  <xsl:for-each select="ancestor-or-self::node[@TEXT]">
    <xsl:value-of select="concat('&quot;',translate(normalize-space(@TEXT),'&quot;',' '),'&quot;',$str_separator)"/>
  </xsl:for-each>
  <xsl:apply-templates/>
</xsl:template>

</xsl:stylesheet>
