<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:import href="../Utils.xsl"/>

  <xsl:output method='text' encoding='ISO-8859-1'/>

  <xsl:template match="/">
    <xsl:apply-templates select="//node[starts-with(@TEXT,'$')]"/>
  </xsl:template>


  <xsl:template match="node">
    <xsl:variable name="str_gcal" select="substring-after(substring-before(@TEXT,' '),'$')"/>
    <xsl:variable name="str_text" select="substring-after(@TEXT,' ')"/>
    <xsl:value-of select="$str_gcal"/>
    <xsl:text> </xsl:text> 
    <xsl:for-each select="ancestor::node[@TEXT]">
  <xsl:call-template name="lf2br">
    <xsl:with-param name="StringToTransform" select="@TEXT"/>
  </xsl:call-template>
      <xsl:text> :: </xsl:text> 
    </xsl:for-each>
    <xsl:value-of select="$str_text"/>
    <xsl:text>
</xsl:text>
</xsl:template>

</xsl:stylesheet>
