<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:variable name="length_link" select="-1"/>

  <xsl:template name="LINKLIST">
    <!--  
    <xsl:element name="p">
      <xsl:text>Links</xsl:text>
    </xsl:element>
    -->
    <xsl:element name="ul">
      <!--  
      <xsl:apply-templates select="link">
        <xsl:with-param name="target">
          <xsl:text>_blank</xsl:text>
        </xsl:with-param>
        <xsl:with-param name="list">
          <xsl:value-of select="true()"/>
        </xsl:with-param>
      </xsl:apply-templates>
           -->
      <xsl:for-each select="link">
        <xsl:element name="li">
          <xsl:apply-templates select=".">
            <xsl:with-param name="target">
              <xsl:text>_blank</xsl:text>
            </xsl:with-param>
          </xsl:apply-templates>
        </xsl:element>
      </xsl:for-each>
    </xsl:element>
  </xsl:template>


  <xsl:template match="link">
    <xsl:param name="target" select="'mainframe'"/>
    <xsl:param name="list">
      <xsl:value-of select="false()"/>
    </xsl:param>
    <!-- 
    <xsl:value-of select="$target"/>
    <xsl:value-of select="$list"/>
    <xsl:choose>
      <xsl:when test="$list">
        <xsl:element name="li">
          <xsl:apply-templates select="self::node">
            <xsl:with-param name="target">
              <xsl:value-of select="$target"/>
            </xsl:with-param>
          </xsl:apply-templates>
        </xsl:element>
      </xsl:when>
      <xsl:otherwise>
 -->
        <xsl:element name="a">
          <xsl:choose>
            <xsl:when test="@href">
              <!--  -->
              <xsl:attribute name="target">
                <xsl:value-of select="$target"/>
              </xsl:attribute>
              <xsl:attribute name="href">
                <xsl:value-of select="@href"/>
              </xsl:attribute>
            </xsl:when>
            <xsl:when test="@date">
              <!--  -->
              <xsl:attribute name="target">
                <xsl:value-of select="$target"/>
              </xsl:attribute>
              <xsl:attribute name="href">
<xsl:text>#</xsl:text>
                <xsl:value-of select="@date"/>
              </xsl:attribute>
            </xsl:when>
            <xsl:otherwise>
              <!-- name -->
              <xsl:attribute name="name">
                <xsl:value-of select="@name"/>
              </xsl:attribute>
            </xsl:otherwise>
          </xsl:choose>
          <xsl:choose>
            <xsl:when test="$length_link &gt; 0 and string-length(.) &gt; $length_link">
              <xsl:value-of select="concat(substring(.,1,$length_link),'...')"/>
              <!-- substring(.,string-length(.),$length_link) -->
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="."/>
            </xsl:otherwise>
          </xsl:choose>
          <xsl:text> </xsl:text>
        </xsl:element>
      <!-- 
      </xsl:otherwise>
    </xsl:choose>
 -->
  </xsl:template>

</xsl:stylesheet>
