<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">

  <xsl:output 
    method="xml"
    encoding="ISO-8859-1" />

  <xsl:template match="/">
    <xsl:element name="pie">
      <xsl:apply-templates/>
    </xsl:element>
  </xsl:template>

  <xsl:template match="rss">
    <xsl:element name="section">
      <xsl:for-each select="*[name()='channel']">
        <xsl:element name="h">
          <xsl:element name="link">
            <xsl:attribute name="href">
              <xsl:value-of select="*[name()='link']"/>
            </xsl:attribute>
            <xsl:value-of select="*[name()='title']"/>
          </xsl:element>
        </xsl:element>
        <xsl:element name="list">
          <xsl:attribute name="enum">yes</xsl:attribute>
          <xsl:for-each select="*[name()='item']">
            <xsl:element name="p">
              <xsl:element name="link">
                <xsl:attribute name="href">
                  <xsl:value-of select="*[name()='link']"/>
                </xsl:attribute>
                <xsl:value-of select="*[name()='title']"/>
              </xsl:element>
               <xsl:value-of select="*[name()='description']"/>
            </xsl:element>
          </xsl:for-each>
        </xsl:element>
      </xsl:for-each>
    </xsl:element>
  </xsl:template>

  <xsl:template match="*">
      <xsl:apply-templates/>
  </xsl:template>

</xsl:stylesheet>
