<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output 
    method="html"
    omit-xml-declaration="no"
    doctype-public="-//W3C//DTD HTML 4.01//EN"
    doctype-system="file:///tmp/dummy.dtd"
    encoding="ISO-8859-1" />

    <xsl:template match="/">
      <xsl:element name="html">
        <xsl:element name="head">
          <xsl:element name="title">
            <xsl:text>Uebersicht</xsl:text>
          </xsl:element>
        </xsl:element>
        <xsl:element name="body">
          <xsl:element name="h2">
            <xsl:text>Uebersicht</xsl:text>
          </xsl:element>
          <xsl:element name="ul">
            <xsl:for-each select="PIE/DIR/FILE[@NAME  and @EXT='txt']">
              <xsl:element name="li">
                <xsl:element name="a">
                  <xsl:attribute name="href">
                    <xsl:value-of select="substring-before(@NAME,'.txt')"/>
                    <xsl:text>.html</xsl:text>
                  </xsl:attribute>
                  <xsl:value-of select="substring-before(@NAME,'.txt')"/>
                </xsl:element>
              </xsl:element>
            </xsl:for-each>
            <xsl:apply-templates/>
          </xsl:element>
        </xsl:element>
      </xsl:element>
    </xsl:template>
  </xsl:stylesheet>
