<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--

PKG2 - ProzessKettenGenerator second implementation 
Copyright (C) 1999-2006 by Alexander Tenbusch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

-->

<xsl:output method="xml" encoding="ISO-8859-1"/>  

<xsl:template match="/">
  <table class="hidden" cellpadding="0" width="100%">
    <xsl:apply-templates select="PETRINET"/>
  </table>  
</xsl:template>


<xsl:template match="PETRINET">
  <tr>
    <td>Petrinetz</td>
    <td>
      <a href="info.html"><xsl:value-of select="NAME"/></a>
    </td>
    <td rowspan="4" align="right" valign="top">
      <form action="javascript:sendAnnotatedMailPKG2({CONTACT/@HREF})">
        <p>
          <input type="image" src="kommentar.png"/>
        </p>
      </form>
    </td>
    
  </tr>  
  <tr>
    <td>Version</td>
    <td><xsl:value-of select="@VERSION"/></td>
  </tr>  
  <tr>
    <td>Kontakt</td>
    <td>
      <xsl:element name="a">
        <xsl:attribute name="href">
          <xsl:value-of select="CONTACT/@HREF"/>
        </xsl:attribute>
        <xsl:value-of select="CONTACT"/>
      </xsl:element>
    </td>
  </tr>  
  <tr>
    <td>Copyright</td>
    <td><xsl:value-of select="COPYRIGHT"/></td>
  </tr>  
</xsl:template>


</xsl:stylesheet>
