<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="xml" version="1.0"/>
  <xsl:variable name="flag_p" select="true()"/>
  <xsl:variable name="str_title" select="''"/>

  <xsl:variable name="separator" select="'/'"/>

  <xsl:template match="/">
    <xsl:element name="pie">
      <xsl:apply-templates select="pie/*"/>
    </xsl:element>
  </xsl:template>

  <xsl:template match="pie">
     <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="dir|file">

<xsl:choose>
      <xsl:when test="@name='albumfiles.txt'"/>
      <xsl:when test="descendant::pie">
         <xsl:element name="section">
        <xsl:element name="h">
            <xsl:value-of select="@name"/>
        </xsl:element>
          <xsl:apply-templates/>
        </xsl:element>
      </xsl:when>
      <xsl:when test="@ext='jpg' and position() &lt; 5">
         <xsl:element name="fig">
        <xsl:element name="img">
        <xsl:attribute name="src">
      <xsl:for-each select="ancestor::dir">
        <xsl:value-of select="translate(@name,'\','/')"/>
        <xsl:value-of select="$separator"/>
      </xsl:for-each>
      <xsl:value-of select="@name"/>
        </xsl:attribute>
        <xsl:attribute name="width">600</xsl:attribute>
        </xsl:element>
        <xsl:element name="h">
            <xsl:value-of select="@name"/>
        </xsl:element>
        </xsl:element>
      </xsl:when>
<xsl:otherwise>
</xsl:otherwise>
</xsl:choose>
  </xsl:template>

  <xsl:template match="meta"/>

  <xsl:template match="*">
<!--            <xsl:copy-of select="@name"/> -->
  <xsl:copy>
     <xsl:apply-templates/>
  </xsl:copy>

  </xsl:template>
</xsl:stylesheet>
