<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output encoding="ISO-8859-1" method="xml"/>

<xsl:template match="/calendar">
  <xsl:element name="map">
  <xsl:element name="node">
    <xsl:attribute name="TEXT">
      <xsl:text>Kalender</xsl:text>
    </xsl:attribute>
    <xsl:apply-templates select="year"/>
  </xsl:element>
  </xsl:element>
</xsl:template>


<xsl:template match="year">
  <xsl:element name="node">
    <xsl:attribute name="TEXT">
      <xsl:value-of select="@ad"/>
    </xsl:attribute>
    <xsl:apply-templates select="month"/>
  </xsl:element>
</xsl:template>


<xsl:template match="month">
  <xsl:element name="node">
    <xsl:attribute name="FOLDED">
      <xsl:text>true</xsl:text>
    </xsl:attribute>
    <xsl:attribute name="TEXT">
      <xsl:value-of select="@nr"/>
    </xsl:attribute>
    <xsl:apply-templates select="day"/>
  </xsl:element>
</xsl:template>


<xsl:template match="day">
  <xsl:element name="node">
    <xsl:attribute name="TEXT">
      <xsl:value-of select="@own"/>
      <xsl:text> </xsl:text>
      <xsl:value-of select="@OM"/>
    </xsl:attribute>
    <xsl:apply-templates select="descendant::*[name()='p' or name()='h']"/>
  </xsl:element>
</xsl:template>

<xsl:template match="p|h">
  <xsl:element name="node">
    <xsl:attribute name="TEXT">
      <xsl:value-of select="."/>
    </xsl:attribute>
  </xsl:element>
</xsl:template>



</xsl:stylesheet>
