<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ap="http://schemas.mindjet.com/MindManager/Application/2003" version="1.0">

  <!-- converts a freemind file into a Mindmanager xmmap file xml --> 

  <xsl:output method="xml"/>

  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="map">
    <Map xmlns="http://schemas.mindjet.com/MindManager/Application/2003"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://schemas.mindjet.com/MindManager/Application/2003 http://schemas.mindjet.com/MindManager/Application/2003 http://schemas.mindjet.com/MindManager/Core/2003 http://schemas.mindjet.com/MindManager/Core/2003 http://schemas.mindjet.com/MindManager/Delta/2003 http://schemas.mindjet.com/MindManager/Delta/2003 http://schemas.mindjet.com/MindManager/Primitive/2003 http://schemas.mindjet.com/MindManager/Primitive/2003">
  <OneTopic>
    <xsl:apply-templates/>
  </OneTopic>
</Map>
  </xsl:template>

  <xsl:template match="node">
    <Topic xmlns="http://schemas.mindjet.com/MindManager/Application/2003">
      <xsl:if test="*">
        <SubTopics>
          <xsl:apply-templates/>
        </SubTopics>
      </xsl:if>
      <xsl:if test="@FOLDED='true'"> <!-- count(ancestor::node) &gt; 0 -->
        <TopicViewGroup ViewIndex="0">
          <Collapsed Collapsed="true"/>
        </TopicViewGroup>
      </xsl:if>
      <Text PlainText="{@TEXT}">
        <Font/>
      </Text>
    </Topic>
  </xsl:template>

</xsl:stylesheet>
