<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="task">
  <xsl:if test="not(@done)">
    <xsl:element name="tr">
      <xsl:element name="td">
        <xsl:element name="p">
          <xsl:choose>
            <xsl:when test="@done">
              <xsl:attribute name="class">done</xsl:attribute>
            </xsl:when>
            <xsl:when test="@prio">
              <xsl:attribute name="class">p<xsl:value-of select="@prio"/></xsl:attribute>
            </xsl:when>
            <xsl:otherwise>
            </xsl:otherwise>
          </xsl:choose>
          <xsl:element name="i">
            <xsl:value-of select="@hstr"/>
          </xsl:element>
          <xsl:choose>
            <xsl:when test="h/@ref">
              <!-- a -->
              <xsl:element name="a">
                <xsl:attribute name="href">
                  <xsl:value-of select="h/@ref"/>
                </xsl:attribute>
                <xsl:value-of select="h"/>
              </xsl:element>
            </xsl:when>
            <xsl:otherwise>
              <!-- para -->
              <xsl:value-of select="h"/>
            </xsl:otherwise>
          </xsl:choose>
          <xsl:if test="@effort">
            <xsl:text> / </xsl:text>
            <xsl:value-of select="@effort"/>
          </xsl:if>
          <xsl:for-each select="contact">
            <xsl:text> / </xsl:text>
            <xsl:element name="a">
              <xsl:attribute name="href">
                <xsl:text>todo_contact.xml#</xsl:text>
                <xsl:value-of select="@idref"/>
              </xsl:attribute>
              <xsl:value-of select="@idref"/>
            </xsl:element>
          </xsl:for-each>
        </xsl:element>
      </xsl:element>
    </xsl:element>
  </xsl:if>
</xsl:template>


</xsl:stylesheet>
