<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <xsl:output method="xml"/>  

  <!--  -->

  <xsl:template match="/iCalendar">
<xsl:element name="pie">
     <xsl:apply-templates select="vcalendar"/> 
</xsl:element>
  </xsl:template>
      
  <xsl:template match="vcalendar">
<xsl:element name="section">
<xsl:element name="h">
     <xsl:value-of select="x-wr-calname"/> 
</xsl:element>
     <xsl:apply-templates select="vevent"/> 
</xsl:element>
  </xsl:template>
      
  <xsl:template match="vevent">
<xsl:element name="p">
<xsl:element name="link">
<xsl:if test="dtstart and dtstart != ''">
<xsl:attribute name="date">

    <xsl:choose>
      <!-- in  -->
      <xsl:when test="contains(dtstart,'T')">
     <xsl:value-of select="substring-before(dtstart,'T')"/> 
      </xsl:when>
      <xsl:otherwise>
     <xsl:value-of select="dtstart"/> 
      </xsl:otherwise>
    </xsl:choose>
<!--
<xsl:if test="dtend and dtend != ''">
<xsl:text>#</xsl:text>
     <xsl:value-of select="dtend"/> 
</xsl:if>
-->
</xsl:attribute>
</xsl:if>
<xsl:if test="url and url != ''">
<xsl:attribute name="href">
     <xsl:value-of select="url"/> 
</xsl:attribute>
</xsl:if>
     <xsl:value-of select="summary"/> 
</xsl:element>
</xsl:element>
  </xsl:template>
      

</xsl:stylesheet>
