<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:variable name="length_link" select="-1"/>

  <xsl:template name="LINKLIST">
    <!--  
    <xsl:element name="p">
      <xsl:text>Links</xsl:text>
    </xsl:element>
    -->
    <xsl:element name="ul">
      <!--  
      <xsl:apply-templates select="link">
        <xsl:with-param name="target">
          <xsl:text>_blank</xsl:text>
        </xsl:with-param>
        <xsl:with-param name="list">
          <xsl:value-of select="true()"/>
        </xsl:with-param>
      </xsl:apply-templates>
           -->
      <xsl:for-each select="link">
        <xsl:element name="li">
          <xsl:apply-templates select=".">
            <xsl:with-param name="target">
              <xsl:text>_blank</xsl:text>
            </xsl:with-param>
          </xsl:apply-templates>
        </xsl:element>
      </xsl:for-each>
    </xsl:element>
  </xsl:template>


  <xsl:template match="link">
          <xsl:choose>
            <xsl:when test="@href">
              <!--  -->
          <xsl:text> \href{</xsl:text>
                <xsl:value-of select="@href"/>
          <xsl:text>}</xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <!-- name -->
            </xsl:otherwise>
          </xsl:choose>

          <xsl:text>{</xsl:text>
          <xsl:choose>
            <xsl:when test="$length_link &gt; 0">
              <xsl:value-of select="substring(.,1,$length_link)"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="."/>
            </xsl:otherwise>
          </xsl:choose>
          <xsl:text>} </xsl:text>

  </xsl:template>

</xsl:stylesheet>
