<xsl:stylesheet version="1.0"
  		xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--

PKG2 - ProzessKettenGenerator second implementation 
Copyright (C) 1999-2006 by Alexander Tenbusch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

-->

<xsl:output method="text" encoding="ISO-8859-1"/>  

<xsl:template match="/">
  <xsl:apply-templates select="//*[@ID and not(@ID = '')]"/>
</xsl:template>

<xsl:template match="*">
</xsl:template>

<xsl:template match="STELLE|TRANSITION|SUBNET|PETRINET">
<xsl:text>dot -T cmapx -o graph_</xsl:text>
<xsl:value-of select="@ID"/><xsl:text>.xml </xsl:text>
<xsl:value-of select="@ID"/><xsl:text>.dot 2&gt; </xsl:text>
<xsl:value-of select="@ID"/><xsl:text>.log
</xsl:text>
<xsl:text>dot -T png -o graph_</xsl:text>
<xsl:value-of select="@ID"/><xsl:text>.png </xsl:text>
<xsl:value-of select="@ID"/><xsl:text>.dot 2&gt; </xsl:text>
<xsl:value-of select="@ID"/><xsl:text>.log
</xsl:text>

<!-- 
<xsl:text>dot -T cmap -o </xsl:text>
<xsl:value-of select="@ID"/><xsl:text>.map </xsl:text>
<xsl:value-of select="@ID"/><xsl:text>.dot 
</xsl:text>
 -->

<xsl:if test="false()">
<xsl:text>dot -T ps2 -o graph_</xsl:text>
<xsl:value-of select="@ID"/><xsl:text>.eps </xsl:text>
<xsl:value-of select="@ID"/><xsl:text>.dot 
</xsl:text>
<xsl:text>epstopdf graph_</xsl:text>
<xsl:value-of select="@ID"/><xsl:text>.eps
</xsl:text>
</xsl:if>

<xsl:text>
</xsl:text>

</xsl:template>


</xsl:stylesheet>
