<xsl:stylesheet version="1.0"
  		xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--

PKG2 - ProzessKettenGenerator second implementation 
Copyright (C) 1999-2006 by Alexander Tenbusch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

-->

<xsl:output method="html" encoding="ISO-8859-1" media-type="text/html"/>  

<!--
-->
<xsl:template match="/">
  <xsl:apply-templates select="//STELLE"/>
</xsl:template>

<xsl:template match="STELLE">
  <tr>
    <td>
      <xsl:value-of select="NAME"/>
    </td>
    <td>
      <xsl:value-of select="following-sibling::DICTIONARY/TEXT[@IDREF = 'pdf_datei']/NAME[@LANG = 'en']"/>
    </td>
  </tr>
</xsl:template>



</xsl:stylesheet>
