<xsl:stylesheet version="1.0"
  		xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--

PKG2 - ProzessKettenGenerator second implementation 
Copyright (C) 1999-2006 by Alexander Tenbusch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

-->

<xsl:output method="html" encoding="ISO-8859-1" media-type="text/html"/>  

<!--
     ListModels.xsl ist der Master !!!
-->
<xsl:template match="/PETRINET">
  <table border="0" cellspacing="1" width="100%">
    <tbody>
      <tr>
        <th colspan="3">Prozesse</th>
      </tr>
      <tr>
        <th colspan="3">
          <xsl:element name="a">
            <xsl:attribute name="href">
              <xsl:value-of select="@ID"/><xsl:text>.html</xsl:text>
            </xsl:attribute>
            <xsl:value-of select="NAME"/>
          </xsl:element>
        </th>
      </tr>
      <xsl:apply-templates select="TRANSITION"/>
      <xsl:apply-templates select="SUBNET"/>
    </tbody>
  </table>
</xsl:template>

<xsl:template match="SUBNET">
  <tr>
    <th colspan="3">
      <xsl:element name="a">
        <xsl:attribute name="href">
          <xsl:value-of select="@ID"/><xsl:text>.html</xsl:text>
        </xsl:attribute>
        <xsl:value-of select="NAME"/>
      </xsl:element>
    </th>
  </tr>
  <xsl:apply-templates select="TRANSITION"/>
</xsl:template>

<xsl:template match="TRANSITION">
  <tr>
    <td><xsl:value-of select="position()"/></td>
    <td>
      <xsl:element name="a">
        <xsl:attribute name="href">
          <xsl:value-of select="@ID"/><xsl:text>.html</xsl:text>
        </xsl:attribute>
        <xsl:value-of select="NAME"/>
      </xsl:element>
    </td>
    <td>
      <xsl:value-of select="DESCRIPTION"/>
    </td>
  </tr>
</xsl:template>


</xsl:stylesheet>
