<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--

PKG2 - ProzessKettenGenerator second implementation 
Copyright (C) 1999-2006 by Alexander Tenbusch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

-->

<xsl:output method="html" encoding="ISO-8859-1" media-type="text/html"/>  

<xsl:template match="/">
  <xsl:apply-templates select="CONFIGURATION"/>
</xsl:template>


<xsl:template match="CONFIGURATION">
  <table class="hidden" cellpadding="0">
    <tbody>
      <tr>
        <td>
          <xsl:element name="a">
            <xsl:attribute name="href">
              <!--
              <xsl:text>http://pkg2.tenbusch.info/</xsl:text>
              -->
              <xsl:text>index.html</xsl:text>
            </xsl:attribute>
            <xsl:element name="img">
              <xsl:attribute name="src">
                <xsl:text>logo.png</xsl:text>
              </xsl:attribute>
            </xsl:element>
          </xsl:element>
        </td>
        <xsl:for-each select="HFILE[@BUTTON and not(@VALID = 'no')]">
          <td valign="bottom">
            <xsl:element name="a">
              <xsl:attribute name="href">
                <xsl:value-of select="@NAME"/>
              </xsl:attribute>

              <xsl:element name="img">
                <xsl:attribute name="src">
                  <xsl:value-of select="@BUTTON"/>
                </xsl:attribute>
                <xsl:attribute name="alt">
                  <xsl:value-of select="@ID"/>
                </xsl:attribute>
              </xsl:element>
            </xsl:element>
          </td>
        </xsl:for-each>
      </tr>
    </tbody>
  </table>
  <hr/>
</xsl:template>


</xsl:stylesheet>
