<!DOCTYPE xsl:stylesheet SYSTEM "../../../xslt10.dtd">

<xsl:stylesheet version="1.0"
  		xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--

PKG2 - ProzessKettenGenerator second implementation 
Copyright (C) 1999-2006 by Alexander Tenbusch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

-->

<xsl:output method="html" encoding="ISO-8859-1" media-type="text/html"/>  

<xsl:template match="/CONFIGURATION">
  <xsl:apply-templates select="TASK[@ID = $id_task]"/>
</xsl:template>


<xsl:template match="TASK">
  <h2><xsl:value-of select="NAME"/></h2>
  <p><xsl:value-of select="DESCRIPTION"/></p>
  <xsl:text>
  </xsl:text>
  <xsl:processing-instruction name="pkg2">include_docs</xsl:processing-instruction>
  <xsl:text>
  </xsl:text>
  <xsl:processing-instruction name="pkg2">insert_map_entries</xsl:processing-instruction>
  <xsl:text>
  </xsl:text>
    <!-- -->
    <xsl:element name="img">
      <xsl:attribute name="usemap">
        <xsl:text>#</xsl:text><xsl:value-of select="$id_task"/>
      </xsl:attribute>
      <xsl:attribute name="src">
        <xsl:text>graph_</xsl:text>
        <xsl:value-of select="@ID"/>
        <xsl:text>.png</xsl:text>
      </xsl:attribute>
    </xsl:element>
</xsl:template>


</xsl:stylesheet>
