<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template name="LINKLIST">
    <!--  
    <xsl:element name="p">
      <xsl:text>Links</xsl:text>
    </xsl:element>
    -->
    <xsl:element name="ul">
      <!--  
      <xsl:apply-templates select="LINK">
        <xsl:with-param name="target">
          <xsl:text>_blank</xsl:text>
        </xsl:with-param>
        <xsl:with-param name="list">
          <xsl:value-of select="true()"/>
        </xsl:with-param>
      </xsl:apply-templates>
           -->
      <xsl:for-each select="LINK">
        <xsl:element name="li">
          <xsl:apply-templates select=".">
            <xsl:with-param name="target">
              <xsl:text>_blank</xsl:text>
            </xsl:with-param>
          </xsl:apply-templates>
        </xsl:element>
      </xsl:for-each>
    </xsl:element>
  </xsl:template>


  <xsl:template match="LINK">
    <xsl:param name="target" select="'mainframe'"/>
    <xsl:param name="list">
      <xsl:value-of select="false()"/>
    </xsl:param>
    <!-- 
    <xsl:value-of select="$target"/>
    <xsl:value-of select="$list"/>
    <xsl:choose>
      <xsl:when test="$list">
        <xsl:element name="li">
          <xsl:apply-templates select="self::node">
            <xsl:with-param name="target">
              <xsl:value-of select="$target"/>
            </xsl:with-param>
          </xsl:apply-templates>
        </xsl:element>
      </xsl:when>
      <xsl:otherwise>
 -->
        <xsl:element name="a">
          <xsl:choose>
            <xsl:when test="@REF">
              <!--  -->
              <xsl:attribute name="target">
                <xsl:value-of select="$target"/>
              </xsl:attribute>
              <xsl:attribute name="href">
                <xsl:value-of select="@REF"/>
              </xsl:attribute>
            </xsl:when>
            <xsl:otherwise>
              <!-- name -->
              <xsl:attribute name="name">
                <xsl:value-of select="@NAME"/>
              </xsl:attribute>
            </xsl:otherwise>
          </xsl:choose>
          <xsl:value-of select="."/>
        </xsl:element>
      <!-- 
      </xsl:otherwise>
    </xsl:choose>
 -->
  </xsl:template>

</xsl:stylesheet>
