#
# (p) 2008 A. Tenbusch
#

$/ = "";

my %ENTITY;
my %ELEMENT;

print "digraph dtd {\n";

while (<STDIN>) {

	chomp();
	s/[\n\t ]+/ /gi;
	s/cxp://gi;
	s/xsl://gi;

#	print $_ . "\n";
#	next;

    if (/^\<\!ENTITY \% [a-z0-9\:\-]+ /i) {
	s/^\<\!ENTITY \% *([a-z0-9\:\-]+) +\" *([^\"\>]+) *\" *\>/\$ENTITY{\'%$1;\'} = \'$2\';/;
	eval $_;
    }
    elsif (/^\<\!ELEMENT [a-z0-9\-\:]+ /i) {
	s/\%[a-z0-9\-]+;/$ENTITY{$&}/gi;
	s/^\<\!ELEMENT +([a-z0-9\:\-]+) +([^\>]+) *\>/\$ELEMENT{\'$1\'} = \'$2\';/;
#	print $_ . "\n";
	eval $_;
    }
}

foreach $e (sort keys %ELEMENT) {
    if ($e =~ /[a-z0-9\:\-]+/i && defined $ELEMENT{$e} && $ELEMENT{$e} =~ /[a-z0-9\:\-]+/i) {
	print "$e [label=\"$e\", style=solid];\n";
	@entries = split(/[ \t\(\)\|\,\*\+\<\>\?\;]+/, $ELEMENT{$e});
	foreach $ee (@entries) {
	    if ($ee =~ /[a-z0-9\:\-]+/) {
		print "$e -> $ee;\n";
	    }
	}
    }
}

print "}\n";
